Bug 577878 - RFE: Please enable libao support
Summary: RFE: Please enable libao support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rdesktop
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 15:06 UTC by Ian Chapman
Modified: 2010-12-02 20:57 UTC (History)
1 user (show)

Fixed In Version: rdesktop-1.6.0-9.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-28 20:43:45 UTC
Type: ---


Attachments (Terms of Use)

Description Ian Chapman 2010-03-29 15:06:20 UTC
Description of problem:

The current build of rdesktop uses oss for sound output, which has been deprecated. Please enable libao support so that, for example pulse audio can be used. 

Version-Release number of selected component (if applicable):
rdesktop-1.6.0-7.fc12.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Enabling it, is little more than adding --with-sound=libao to the configure section and adding libao-devel as a BR.

Comment 1 Bug Zapper 2010-11-03 18:20:31 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Ian Chapman 2010-11-09 07:33:00 UTC
Is this package still maintained? Are these BZ's ever read?

Comment 3 Fedora Update System 2010-11-20 23:16:37 UTC
rdesktop-1.6.0-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rdesktop-1.6.0-9.fc14

Comment 4 Fedora Update System 2010-11-20 23:16:54 UTC
rdesktop-1.6.0-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rdesktop-1.6.0-9.fc13

Comment 5 Ian Chapman 2010-11-21 06:42:32 UTC
I've tried the version for F13 which appears to work very well. Thanks.

Comment 6 Fedora Update System 2010-11-21 21:53:02 UTC
rdesktop-1.6.0-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rdesktop'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rdesktop-1.6.0-9.fc14

Comment 7 Ian Chapman 2010-11-22 14:40:26 UTC
I guess this will be pushed to F13 also? I'm not yet running F14 due to other bugs. Cheers.

Comment 8 Fedora Update System 2010-11-28 20:43:28 UTC
rdesktop-1.6.0-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-29 21:30:54 UTC
rdesktop-1.6.0-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.